import type { FieldValues } from 'react-hook-form';
import { GridRowParams } from '@mui/x-data-grid';
import { TableAction } from '../../constants';
import type { ActionClickType, IRow } from '../../types';
import './adminTable-styles.scss';
declare const getActions: <SubmitDataType extends FieldValues>(actions: TableAction<SubmitDataType>[], handleActionClick: ActionClickType<SubmitDataType>, handleToggle: (id: IRow, newValue: boolean) => void, toggleKey?: string, disableActionsForRow?: (row: SubmitDataType) => boolean) => (row: GridRowParams<SubmitDataType>) => import("react/jsx-runtime").JSX.Element[];
export default getActions;
